name: CI/CD Pipeline

on: push

jobs:
  test:
    runs-on: ubuntu-latest
    container: git.hofer.link/philipp/ci-images:rust-latest
    steps:
    - uses: actions/checkout@v3

    - name: Cache Cargo dependencies
      uses: Swatinem/rust-cache@v2

    - name: Tests
      run: cargo test --verbose
